> ## Documentation Index
> Fetch the complete documentation index at: https://vas-partner-api-docs.finpaytech.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Register Webhook Endpoint

> Secret is returned once. Store it.



## OpenAPI

````yaml /openapi.json post /api/v1/merchants/me/webhook-endpoints
openapi: 3.1.0
info:
  title: Emaal Virtual Accounts API
  version: 1.0.0
  description: Merchant collection APIs. Base URL https://vas.finpaytech.co/business-api
servers:
  - url: https://vas.finpaytech.co/business-api
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Virtual Accounts
  - name: Customers
  - name: Invoice VA
  - name: Payer Instructions
  - name: Payments
  - name: Webhooks
paths:
  /api/v1/merchants/me/webhook-endpoints:
    post:
      tags:
        - Webhooks
      summary: Register Webhook Endpoint
      description: Secret is returned once. Store it.
      operationId: createWebhookEndpoint
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateMerchantWebhookEndpointRequest'
            example:
              url: https://partner.example.com/webhooks/emaal
              description: Production collections
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MerchantWebhookEndpointResponse'
              example:
                id: aaaa1111-bbbb-2222-cccc-333333333333
                merchantId: 301f0991-8f7c-4501-a1d4-c317fe7b7f23
                url: https://partner.example.com/webhooks/emaal
                secret: whsec_example_store_this_once
                description: Production collections
                active: true
                createdAt: '2026-09-09T11:00:00.000Z'
components:
  schemas:
    CreateMerchantWebhookEndpointRequest:
      type: object
      required:
        - url
      properties:
        url:
          type: string
          format: uri
        description:
          type: string
    MerchantWebhookEndpointResponse:
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: PASETO
      description: Access token from POST /api/v1/auth/login

````